%define upstream_name    File-PathInfo
%define upstream_version 1.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Oo access to path variables stat data about a file on disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Smart::Comments)
BuildRequires: perl(Time::Format)
BuildArch: noarch

%description
This provides an object oriented interface to things you want to know about
a file, such as extension, absolute path, relative path, size, filename
(without extension), etc. It is a sort of swissarmy knife of file info.

A lot of times you need to know a file's absolute path, it's absolute
location, maybe it's relative location to something else (like DOCUMENT
ROOT), then you need to maybe know the relative path and relative location
for a file. You need to know if a file is a directory, what it's extension
is. You can commonly use regexes to do this.

This module provides commonly needed variables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Wed Dec 07 2011 kharec <kharec> 1.270.0-1.mga2
+ Revision: 178260
- imported package perl-File-PathInfo


* Wed Dec 07 2011 cpan2dist 1.27-1mga
- initial mageia release, generated with cpan2dist
